<script lang="ts" setup>
import { useAuthStore } from '@/stores/auth'
import { ref } from 'vue'
import { VForm } from 'vuetify/components'
import { mdiEye, mdiEyeOff } from '@mdi/js'
const authStore = useAuthStore()
const username = ref('')
const password = ref('')
const valid = ref(true)
const show2 = ref(false)
const form = ref<InstanceType<typeof VForm> | null>(null)
const login = async () => {
  const { valid } = await form.value!.validate()
  if (valid) {
    authStore.login(username.value, password.value)
    reset()
  }
}
const reset = () => {
  form.value?.reset()
}
</script>
<template>
  <v-dialog v-model="authStore.loginDialog" persistent width="600">
    <MessageDialog></MessageDialog>
    <v-sheet
      elevation="15"
      max-width="450"
      rounded="lg"
      height="350"
      width="100%"
      class="pa-5 mx-auto"
    >
      <v-card-title style="text-align: center" class="mb-3">
        <span class="text-h5">Login</span>
      </v-card-title>
      <v-form ref="form" v-model="valid"
        ><v-text-field class="ml-5 mr-5 mb-0" v-model="username" label="Username"></v-text-field
        ><v-text-field
          class="ml-5 mr-5 mt-0 mb-5"
          v-model="password"
          :append-inner-icon="show2 ? mdiEye : mdiEyeOff"
          :type="show2 ? 'text' : 'password'"
          label="Password"
          @click:append-inner="show2 = !show2"
        ></v-text-field
      ></v-form>
      <v-divider style="background-color: black" class="mb-5"></v-divider>
      <v-card-actions class="justify-center">
        <v-btn @click="login" color="blue">Login</v-btn
        ><v-btn @click="authStore.loginDialog = false" color="red">Close</v-btn></v-card-actions
      >
    </v-sheet>
  </v-dialog>
</template>
